diff --git a/c2g.config.py b/c2g.config.py
index 7ff4598..1ad3b4f 100644
--- a/c2g.config.py
+++ b/c2g.config.py
@@ -314,6 +314,9 @@ global_symbol_strategy_rules = [
     # excluded from the conversion, add rules like the following:
     #ExcludeRegexpStrategyRule(r'unknown-.*'),
 
+    # pgjdbc: ignore pre-9.x branches
+    #ExcludeRegexpStrategyRule(r'REL[678].*|WIN32_DEV|release-6-3'),
+
     # Sometimes people use "cvs import" to get their own source code
     # into CVS.  This practice creates a vendor branch 1.1.1 and
     # imports the code onto the vendor branch as 1.1.1.1, then copies
diff --git a/convert.sh b/convert.sh
old mode 100644
new mode 100755
index e4a0346..4de2bc4
--- a/convert.sh
+++ b/convert.sh
@@ -7,9 +7,13 @@ dst=git@github.com:markokr/pgjdbc-test.git
 
 rsync -avz --delete $repo/pgjdbc .
 
-rm -rf cvs2svn-tmp pgjdbc.git
+rm -rf cvs2svn-tmp pgjdbc.git pgjdbc.fixed
 mkdir -p cvs2svn-tmp pgjdbc.git
 
+# either patch or not
+cp -a pgjdbc pgjdbc.fixed
+#sh ./repository_fixups
+
 $c2g --options=c2g.config.py
 
 # create repo
@@ -23,7 +27,10 @@ git repack -a -d -f
 # checkout source
 git checkout master
 
+# find manufactured commits
+grep -i cvs2 ../cvs2svn-tmp/git-dump.dat
+
 # push somewhere
-git remote add dst $dst
-git push -f --mirror dst
+#git remote add dst $dst
+#git push -f --mirror dst
 
diff --git a/repository_fixups b/repository_fixups
old mode 100644
new mode 100755
